/*
 * config.java  
 *
 * Copyright (C) 2011 John Douyere (VK2ETA) 
 *
 * This program is distributed in the hope that it will be useful,  
 * but WITHOUT ANY WARRANTY; without even the implied warranty of  
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.  
 *
 * You should have received a copy of the GNU General Public License  
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.  
 */

package com.AndFlmsg;

public class config {
         
         
/**
 * 
 * @param Key
 * @return
 */
	public static String getPreference(String Key) {
		String myReturn="";
		
		try {
			myReturn = AndFlmsg.mysp.getString(Key,"");
		}
		catch (Exception e) {
			myReturn = "";
		}
	    return myReturn;
   }

 /**
  * Get the saved value, if its not there then use the default value
  * @param Key
  * @param Default
  * @return
  */
	public static String getPreference(String Key, String Default) {
		String myReturn="";

		myReturn = AndFlmsg.mysp.getString(Key,"");
		if (myReturn.equals(""))
			myReturn=Default;
		return myReturn;
	}


/**
 * 
 * @param Key
 * @return
 */
	public static boolean getPreferenceB(String Key) {
		boolean myReturn = false;
		
		try {
			myReturn = AndFlmsg.mysp.getBoolean(Key,false);
		}
		catch (Exception e) {
			myReturn = false;
		}
	    return myReturn;
   }

 /**
  * Get the saved value, if its not there then use the default value
  * @param Key
  * @param Default
  * @return
  */
	public static boolean getPreferenceB(String Key, boolean Default) {
		boolean myReturn = false;

		myReturn = AndFlmsg.mysp.getBoolean(Key,Default);

		return myReturn;
	}

}
